Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Newb with KDE questions

  1. #1

    Default Newb with KDE questions

    These are more general questions for KDE 4.1.3

    We are allowed to have multiple desktops, is there a way to allow programs to half cross the plane?

    Secondly, what is the best editor for it. I've seen really cool desktops, I want to make inactive windows transparent and the same with the task-bar.

    I've heard a lot about compix just wondering if there is something better.

  2. #2
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: Newb with KDE questions

    Hi,

    What do you mean by half-cross the plane? As in have a program partially on one Desktop and partially on another? Sure that can be done.

    The default Window Manager is Kwin for KDE4. This controls all the special effects like the Desktop Cube and the titlebars. You can change settings for these by clicking the Application Launcher (K-icon or green openSUSE lizzard) then going to Applications>Configure Desktop (Personal Settings).

    For Desktop Effects, under Look and Feel click Desktop and the first thing is the Desktop effects. Click on All effects to choose which effects you want to use.

    To change your titlebar look in Configure Desktop you would click Appearance. Here you can change a number of cosmetic things about your Desktop.

    Compiz-Fusion is another Window Manager that has the same effects as Kwin, although it also has more effects that kwin. You can configure all of these using the CompizConfig Settings Manager (CCSM). Emerald is the titlebar manager with Compiz. For this you would use Emerald Theme Manager to create your own custom titlebars or use previously made ones.

    All kinds of customization packages can be found here:

    Eyecandy for your KDE-Desktop - KDE-Look.org

    A lot of people like to just use Kwin since it's already built in to the K Desktop Environment and it does a great job of making your Desktop look AWESOME. There aren't any hassles with upgrading or having the right packages, it just works. But others (like myself) choose to have Compiz-Fusion as it gives a greater amount of freedom for customization (my opinion). This can be a hassle for some people though. If you do choose to use Compiz-Fusion I can help you get it done right the first time.

    Hope this helps,

    Ian
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  3. #3

    Default Re: Newb with KDE questions

    ok
    I think I'll use compiz how while I'm installing I'm running into an issue about :
    #### YaST2 conflicts list - generated 2009-04-20 20:32:23 ####

    compizconfig-settings-manager-0.8.2-3.28.i586 requires compiz = 0.8.2, but this requirement cannot be provided
    uninstallable providers: compiz-0.8.2-77.21.i586[X11GL]
    [ ] Ignore some dependencies of compizconfig-settings-manager

    [ ] do not install compizconfig-settings-manager-0.8.2-3.28.i586

    [ ] do not install compiz-0.7.8-10.18.i586



    compiz-kde4-0.7.8-10.18.i586 requires compiz = 0.7.8, but this requirement cannot be provided
    uninstallable providers: compiz-0.7.8-10.18.i586[KDE:KDE4:Factoryesktop]
    [x] do not install python-compizconfig-0.8.2-2.28.i586

    [ ] do not install compiz-kde4-0.7.8-10.18.i586

    [ ] Ignore some dependencies of compiz-kde4




    #### YaST2 conflicts list END ###


    What should I do?

  4. #4
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: Newb with KDE questions

    Quote Originally Posted by crazygst View Post
    ok
    I think I'll use compiz how while I'm installing I'm running into an issue about :
    #### YaST2 conflicts list - generated 2009-04-20 20:32:23 ####

    compizconfig-settings-manager-0.8.2-3.28.i586 requires compiz = 0.8.2, but this requirement cannot be provided
    uninstallable providers: compiz-0.8.2-77.21.i586[X11GL]
    [ ] Ignore some dependencies of compizconfig-settings-manager

    [ ] do not install compizconfig-settings-manager-0.8.2-3.28.i586

    [X] do not install compiz-0.7.8-10.18.i586



    compiz-kde4-0.7.8-10.18.i586 requires compiz = 0.7.8, but this requirement cannot be provided
    uninstallable providers: compiz-0.7.8-10.18.i586[KDE:KDE4:Factoryesktop]
    [ ] do not install python-compizconfig-0.8.2-2.28.i586

    [X] do not install compiz-kde4-0.7.8-10.18.i586

    [ ] Ignore some dependencies of compiz-kde4




    #### YaST2 conflicts list END ###


    What should I do?
    You'll want the latest compiz so choose the settings I filled in.
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  5. #5

    Default Re: Newb with KDE questions

    compiz-kde4-0.7.8-9.1.i586 requires compiz = 0.7.8, but this requirement cannot be provided
    uninstallable providers: compiz-0.7.8-10.19.i586[KDE:KDE4:Factoryesktop]
    [ ] deinstallation of compiz-kde4-0.7.8-9.1.i586

    [ ] deinstallation of kde4-knewsticker-4.1.3-4.13.i586

    [ ] Ignore some dependencies of compiz-kde4

    [ ] Following actions will be done:
    do not install compizconfig-settings-manager-0.8.2-3.29.i586
    do not install python-compizconfig-0.8.2-2.29.i586

    This is what came up next....

  6. #6
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: Newb with KDE questions

    Quote Originally Posted by crazygst View Post
    compiz-kde4-0.7.8-9.1.i586 requires compiz = 0.7.8, but this requirement cannot be provided
    uninstallable providers: compiz-0.7.8-10.19.i586[KDE:KDE4:Factoryesktop]
    [ ] deinstallation of compiz-kde4-0.7.8-9.1.i586

    [X] deinstallation of kde4-knewsticker-4.1.3-4.13.i586

    [ ] Ignore some dependencies of compiz-kde4

    [ ] Following actions will be done:
    do not install compizconfig-settings-manager-0.8.2-3.29.i586
    do not install python-compizconfig-0.8.2-2.29.i586

    This is what came up next....
    And that should be it I believe. The newsticker should be the last conflict.

    Good Luck,

    Ian
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  7. #7

    Default Re: Newb with KDE questions

    ok I got it installed and I'm playing around with it, but doesn't look like anything works

  8. #8
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: Newb with KDE questions

    Hmm... Could you be more specific? What are you trying to do? Have you chosen Compiz-Fusion as your windows manager? Have you activated the correct plugins in the CompizConfig Settings Manager?

    Need some more information please

    Ian
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  9. #9

    Default Re: Newb with KDE questions

    Well I don't know about setting it as the windows manager, but I did try enabling things and nothing worked.

    So most likely it is because I didn't set it as the manager. I'm going to look this up.

  10. #10

    Default Re: Newb with KDE questions

    Well I looked, but from what I understand nothing actually sets it as the desktop editor, so that means it should already allow me to edit, but nothing seems to work. I tried to enable wobbly windows, but nothing happens, for example.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •